## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension   vertical-workspaces
%global uuid        %{extension}@G-dH.github.com
# Define a commit here to switch to snapshot versioning.  Note that just adding
# a `#` to the beginning of this line is insufficient to disable snapshot
# versioning, as RPM allows you to define macros anywhere, even in comments.
%global commit      b9220e967d830e19866d15eff70adb5091e2a39c
%global shortcommit %{lua:print(macros.commit:sub(1,7))}

Name:           gnome-shell-extension-%{extension}
Version:        37.5%{?commit:^2.%{shortcommit}}
Release:        %autorelease
Summary:        Customize your GNOME Shell UX to suit your workflow
License:        GPL-3.0-only
URL:            https://github.com/G-dH/vertical-workspaces
BuildArch:      noarch

%if %{defined commit}
Source:         %{url}/archive/%{commit}/%{extension}-%{shortcommit}.tar.gz
%else
Source:         %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz
%endif

BuildRequires:  gettext
Requires:       (gnome-shell >= 45~ with gnome-shell < 46~)
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
Customize your GNOME Shell UX to suit your workflow, whether you like
horizontally or vertically stacked workspaces.


%prep
%autosetup -n %{extension}-%[ %{defined commit} ? "%{commit}" : "%{version}" ]


%install
# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
cp -rp lib *.js stylesheet.css metadata.json \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install locale files
pushd po
for po in *.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
popd
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%doc CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 37.5^2.b9220e9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 37.5^2.b9220e9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 25 2023 Carl George <carlwgeorge@fedoraproject.org> - 37.5^2.b9220e9-1
- Update to upstream snapshot for improved GNOME 45 support

* Fri Sep 08 2023 Carl George <carlwgeorge@fedoraproject.org> - 37.5^1.f97df40-1
- Update to upstream snapshot for GNOME 45 support

* Mon Jul 24 2023 Carl George <carl@george.computer> - 37-1
- Update to version 37, resolves rhbz#2221355

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 28-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Apr 20 2023 Carl George <carl@george.computer> - 28-2
- Include all library and locale files
- Resolves: rhbz#2188312

* Sat Apr 15 2023 Carl George <carl@george.computer> - 28-1
- Update to version 28, resolves rhbz#2185362

* Tue Mar 14 2023 Carl George <carl@george.computer> - 26-1
- Update to version 26, resolves rhbz#2176906

* Fri Feb 24 2023 Carl George <carl@george.computer> - 23.5^1.0a0e314-1
- Update to upstream snapshot for GNOME 44 support

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 23 2022 Carl George <carl@george.computer> - 23-1
- Update to version 23, resolves rhbz#2155960

* Wed Dec 07 2022 Carl George <carl@george.computer> - 18-1
- Update to version 18, resolves rhbz#2150087

* Fri Oct 21 2022 Carl George <carl@george.computer> - 13-1
- Update to version 13, resolves rhbz#2136698

* Sun Sep 11 2022 Carl George <carl@george.computer> - 12-1
- Update to version 12, resolves rhbz#2125914

* Tue Sep 06 2022 Carl George <carl@george.computer> - 11-1
- Initial package, resolves rhbz#2124391
## END: Generated by rpmautospec
